> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put archive



## OpenAPI

````yaml /api-reference/4.2/service-archive.json put /archive/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service archive
servers:
  - url: /api/apollo/
security: []
tags:
  - name: archive
paths:
  /archive/{id}:
    put:
      tags:
        - 4.2 Archive API
      operationId: saveRawDocument
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: fusion-rda-col-id
          in: header
          required: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/octet-stream
        - name: fusion-rda-parser-id
          in: header
          required: false
          schema:
            type: string
        - name: fusion-rda-ip-id
          in: header
          required: false
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/InputStream'
      responses:
        default:
          description: successful operation
components:
  schemas:
    InputStream:
      type: object

````